#
# $Id: sblim-cmpi-fad.spec.in,v 1.6 2010/08/05 22:41:52 tyreld Exp $
#
# Package spec for sblim-cmpi-fad
#

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Summary: Sample CMPI Provider
Name: sblim-cmpi-fad
Version: 0.5.0
Release: 1
Group: Systems Management/Base
License: Eclipse Public License 1.0

Source0: http://prdownloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2

BuildRequires: cmpi-devel
Requires: cimserver

%Description
Sample CMPI Provider - Files And Directories.
This package doesn't serve any particular purpose other than as
reference and template for CMPI provider packages. It allows to access
files and directories beneath /usr/include on the local file system 
of the CIM server.

%prep

%setup -T -b 0 -n %{name}-%{version}

export PATCH_GET=0
#%patch0 -p1

%build

%configure --disable-debug
make

%install

if [ `id -ur` != 0 ]
then
# paranoia check 
	rm -rf $RPM_BUILD_ROOT 
fi

make DESTDIR=$RPM_BUILD_ROOT install

# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/cmpi/*a

%clean
if [ `id -ur` != 0 ]
then
# paranoia check 
	rm -rf $RPM_BUILD_ROOT 
fi

%post
# Register Schema and Provider - this is higly provider specific

%{_datadir}/%{name}/provider-register.sh \
	-r %{_datadir}/%{name}/CWS_FAD.registration  \
	-m %{_datadir}/%{name}/CWS_FAD.mof > /dev/null

/sbin/ldconfig

%preun
# Deregister Schema and Provider - this is higly provider specific

%{_datadir}/%{name}/provider-register.sh -d \
	-r %{_datadir}/%{name}/CWS_FAD.registration  \
	-m %{_datadir}/%{name}/CWS_FAD.mof > /dev/null

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_datadir}/%{name}
%{_datadir}/doc/%{name}-%{version}
%{_libdir}/*.so*
%{_libdir}/cmpi/*.so*
