/*
 * $Id: CWS_FileUtils.h,v 1.4 2010/08/05 22:41:52 tyreld Exp $
 *
 *(C) Copyright IBM Corp. 2003, 2005, 2010
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE ECLIPSE PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Eclipse Public License from
 * http://www.opensource.org/licenses/eclipse-1.0.php
 *
 * Author:      Viktor Mihajlovski <mihajlov@de.ibm.com>
 *
 * Description: Utility functions for CMPI Workshop
 * 
 */

#ifndef CWS_FILEUTILS_H
#define CWS_FILEUTILS_H

#include "util/cwsutil.h"
#include <cmpidt.h>

#define CWS_FILEROOT  "/usr/local/include"

char * CWS_CSCreationClassName();
char * CWS_CSName();
char * CWS_FSCreationClassName();
char * CWS_FSName();


CMPIObjectPath *CWS_makePath(const CMPIBroker *broker, const char *classname, 
			 const char *namespace, CWS_FILE *cwsf);
CMPIInstance   *CWS_makeInstance(const CMPIBroker *broker, const char *classname, 
			     const char *namespace, CWS_FILE *cwsf, 
			     const char **projection);
int             CWS_makeFileBuf(const CMPIInstance *instance, CWS_FILE *cwsf);
char          **CWS_projection2Filter(CMPIArray *ar);
void            CWS_freeFilter(char**);


#endif
