/*
 * $Id: cwstest.c,v 1.2 2010/08/05 22:41:53 tyreld Exp $
 *
 * (C) Copyright IBM Corp. 2003, 2005, 2010
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE ECLIPSE PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Eclipse Public License from
 * http://www.opensource.org/licenses/eclipse-1.0.php
 *
 * Author:      Viktor Mihajlovski <mihajlov@de.ibm.com>
 *
 * Description: Utility functions for CMPI Workshop
 * 
 */

#include "cwsutil.h"

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char * argv[])
{
  void     *enumhdl;
  CWS_FILE  filebuf;

  if (argc != 2) {
    fprintf(stderr,"usage: %s directory\n",argv[0]);
    exit(-1);
  }

  printf("=== Searching for all plain files in %s \n",argv[1]);
  enumhdl = CWS_Begin_Enum(argv[1],CWS_TYPE_PLAIN,1);
  if (enumhdl) {
    while (CWS_Next_Enum(enumhdl,&filebuf))
      printf("--- File: %s Size: %lld Mode: %o\n",
	     filebuf.cws_name, filebuf.cws_size, filebuf.cws_mode);
    CWS_End_Enum(enumhdl);
  }

  printf("=== Searching for direct subdirectories in %s \n",argv[1]);
  enumhdl = CWS_Begin_Enum(argv[1],CWS_TYPE_DIR,0);
  if (enumhdl) {
    while (CWS_Next_Enum(enumhdl,&filebuf))
      printf("--- Dir: %s Size: %lld Mode: %o\n",
	     filebuf.cws_name, filebuf.cws_size, filebuf.cws_mode);
    CWS_End_Enum(enumhdl);
  }

  printf("=== Direct Access to Directory %s \n",argv[1]);
  if (CWS_Get_File(argv[1],&filebuf))
    printf("--- Dir: %s Size: %lld Mode: %o\n",
	   filebuf.cws_name, filebuf.cws_size, filebuf.cws_mode);
  
  return 0;
}
